Opened 3 months ago

Closed 3 months ago

#22800 closed enhancement (implemented)

Upgrade libraries to new Debian stable

Reported by: karsten Owned by: metrics-team
Priority: High Milestone:
Component: Metrics/Library Version:
Severity: Normal Keywords:
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

The new Debian stable is out, and we should upgrade our library versions to use what's contained in there.

Note that it might still take a while until hosts will be running Debian stable. But we only depend on Java 7 (soon 8) there. If we build locally with newer library versions, it shouldn't matter whether hosts are running jessie or stretch.

Putting this on high priority, because our Jenkins metrics-lib builds are currently failing, because they're running stretch, not jessie. We could temporarily disable them, but we could as well to this upgrade now.

Child Tickets

Attachments (1)

0001-Update-to-Debian-stretch-libraries.patch (2.0 KB) - added by karsten 3 months ago.

Download all attachments as: .zip

Change History (4)

Changed 3 months ago by karsten

comment:1 Changed 3 months ago by karsten

Status: newneeds_review

comment:2 Changed 3 months ago by iwakeh

Status: needs_reviewmerge_ready

The two patches look fine and metrics-lib, collector, and onionoo are fine with the matrics-base patch.

cobertura and checkstyle are just for development, no need to bother with downgrading.

Looking forward to using Java8 (finally)!

comment:3 Changed 3 months ago by karsten

Resolution: implemented
Status: merge_readyclosed

Merged. Thanks for looking! Closing.

Note: See TracTickets for help on using tickets.